#setwd("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_curSurv_upload2")

#call the application:
#library(shiny)
#runApp("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_curSurv_upload2")
#press Escape to stop the application


library(shiny)

# Define UI for application
shinyUI(pageWithSidebar(

  # Application title
  headerPanel("Current Survival Measures"),

  # Sidebar with controls to calculate CCI or CLFS,
  # with selection of stratification
  # br() adds extra vertical spacing
  sidebarPanel("Data upload specification:",

    br(),

    checkboxInput('header', 'Header', TRUE),
    radioButtons('sep', 'Column separator',
                 c(Comma=',',
                   Semicolon=';',
                   Tab='\t'),
                 'Tab'),
    radioButtons('dec', 'Decimal separator',
                 c(Point='.',
                   Comma=','),
                 'Point'),
    br(),
    fileInput('file1', 'Choose TXT File',
              accept=c('text/csv', 'text/comma-separated-values,text/plain', '.csv', '.txt')),
 

    tags$hr(),

    checkboxInput("confint", "Show confidence intervals (CI)", FALSE),

    # Display this only if confidence intervals are shown
    conditionalPanel(condition = "input.confint == true",
      sliderInput("ci_noiter","Number of iterations for CI calculation:",min=10,max=100,value=20,step=10)
    )

  ),

  # Show the caption and plot the requested measure
  mainPanel(
    tabsetPanel(
      tabPanel("CCI",
         h4(textOutput("caption_figure_cci")),
         plotOutput("cursurvPlot_cci"),
         h4(textOutput("caption_table_cci")),
         tableOutput("table_cci")), 
      tabPanel("CLFS",
         h4("Figure"),
         plotOutput("cursurvPlot_clfs"),
         h4("Table"),
         tableOutput("table_clfs"))                
    )
  )

))

