rm(list=ls())
library(shiny)
library(currentSurvival)

### Simple example with data upload (only CCI is computed)


# Define server logic required to plot current survival measures
shinyServer(function(input, output) {


  # Return the formula text for printing as a caption of a plot
  output$caption <- renderText({
    "Figure"
  })


  # Generate a plot of the requested measure
  output$cursurvPlot <- renderPlot({
    inFile <- input$file1
    if (is.null(inFile))
      return(NULL)
    data<-read.table(inFile$datapath, header=input$header, sep=input$sep, dec=input$dec) 

    res <- cci(data)
  })


  # Return the formula text for printing as a caption of a plot
  output$caption2 <- renderText({
    "Table"
  })


  # Table with estimates (it's necessary to calculate "res" again because it can't be used from the upper calculation
  output$view <- renderTable({

    inFile <- input$file1
    if (is.null(inFile))
      return(NULL)  
    data<-read.table(inFile$datapath, header=input$header, sep=input$sep, dec=input$dec)  

    res <- cci(data,fig=FALSE)
    res$pest
  })
})

