#setwd("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_curSurv_upload2")

#call the application:
#library(shiny)
#runApp("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_curSurv_upload2")
#press Escape to stop the application


library(shiny)

# Define UI for application
shinyUI(pageWithSidebar(

  # Application title
  headerPanel("Current Survival Measures"),

  # Sidebar with controls to calculate CCI or CLFS,
  # with selection of stratification
  # br() adds extra vertical spacing
  sidebarPanel("Data upload specification:",

    br(),

    checkboxInput('header', 'Header', TRUE),
    radioButtons('sep', 'Column separator',
                 c(Comma=',',
                   Semicolon=';',
                   Tab='\t'),
                 'Tab'),
    radioButtons('dec', 'Decimal separator',
                 c(Point='.',
                   Comma=','),
                 'Point'),
    br(),
    fileInput('file1', 'Choose TXT File',
              accept=c('text/csv', 'text/comma-separated-values,text/plain', '.csv', '.txt')),
 

    tags$hr(),

    selectInput("measure", "Choose the measure:",
                list("CCI" = "cci", 
                     "CLFS" = "clfs")),
    br(),
    br(),

    checkboxInput("confint", "Show confidence intervals (CI)", FALSE),

    # Display this only if confidence intervals are shown
    conditionalPanel(condition = "input.confint == true",
      sliderInput("ci_noiter","Number of iterations for CI calculation:",min=10,max=100,value=20,step=10)
    ),

    tags$hr(),

    downloadButton('downloadTable', 'Download table'),

    tags$hr(),

    downloadButton('downloadFigure', 'Download figure'),

    br(),
    br(),

    radioButtons('figtype', 'Figure format',
                 c(PDF='pdf',
                   PNG='png'),
                 'PDF')

  ),

  # Show the caption and plot the requested measure
  mainPanel(
    h3(textOutput("caption")),   

    plotOutput("cursurvPlot"),

    h3(textOutput("caption2")),

    tableOutput("view")
  )
))

