#setwd("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_currentSurvival")

#call the application:
#library(shiny)
#runApp("c:/Users/janousova/Documents/R/vlastni_fce/2013/shiny/shiny_currentSurvival")
#press Escape to stop the application


library(shiny)

# Define UI for application
shinyUI(pageWithSidebar(

  # Application title
  headerPanel("Current Survival Measures"),

  # Sidebar with controls to calculate CCI or CLFS,
  # with selection of stratification
  # br() adds extra vertical spacing
  sidebarPanel(

    #fileInput('file1', 'Choose TXT File',
    #          accept=c('text/csv', 'text/comma-separated-values,text/plain', '.csv', '.txt')),
    #tags$hr(),

    selectInput("measure", "Choose the measure:",
                list("CCI" = "cci", 
                     "CLFS" = "clfs")),

    br(),
    br(),

    radioButtons("strat", "Stratification:",
                 list("No" = 0,
                      "Yes" = 1)),

    # Display this only if stratification is "yes"
    conditionalPanel(condition = "input.strat == 1",
      selectInput("stratfac", "Choose the stratification factor:",
                  list("Sokal score" = 8, 
                       "Euro score" = 9, 
                       "Eutos score" = 10))       
    ),

    br(),

    checkboxInput("confint", "Show confidence intervals (CI)", FALSE),

    # Display this only if confidence intervals are shown
    conditionalPanel(condition = "input.confint == true",
      sliderInput("ci_noiter","Number of iterations for CI calculation:",min=10,max=100,value=20,step=10)
    )

  ),

  # Show the caption and plot the requested measure
  mainPanel(
    h3(textOutput("caption")),

    plotOutput("cursurvPlot"),

    h3(textOutput("caption2")),

    tableOutput("view")
  )
))

